cURL
curl --request POST \
--url https://api.mottostreaming.com/cms/banner_collections/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"banner_ids": [
"<string>"
]
}
'import requests
url = "https://api.mottostreaming.com/cms/banner_collections/v1"
payload = {
"project_id": "<string>",
"name": "<string>",
"banner_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', name: '<string>', banner_ids: ['<string>']})
};
fetch('https://api.mottostreaming.com/cms/banner_collections/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"banner_collection": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"banner_ids": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create banner collection
CreateBannerCollection
Creates a new banner collection.
POST
/
cms
/
banner_collections
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
BannerCollection represents a collection of banners that can be displayed in a carousel on an end-user facing web/app page.
A name for visual identification within the management UI. Does not appear towards end users.
A list of banner ids that should be included in this banner collection. The order of this list determines the order in which the banners are displayed towards end users.
Available options:
VISIBILITY_UNSPECIFIED, VISIBILITY_PUBLISHED, VISIBILITY_UNLISTED, VISIBILITY_HIDDEN Response
OK
BannerCollection represents a collection of banners that can be displayed in a carousel on an end-user facing web/app page.
Show child attributes
Show child attributes
⌘I

